Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(420)

Unified Diff: third_party/libusb/src/autogen.sh

Issue 19713005: Update libusb 1.0.9 to libusbx 1.0.16 (Closed) Base URL: svn://svn.chromium.org/chrome/trunk/src
Patch Set: Created 7 years, 5 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
Index: third_party/libusb/src/autogen.sh
diff --git a/third_party/libusb/src/autogen.sh b/third_party/libusb/src/autogen.sh
index c7bb6797d30817ddb28061d65e7e89df46135d8f..ab87fb311c57a680b9ab9cfcd7aa417996b031e1 100755
--- a/third_party/libusb/src/autogen.sh
+++ b/third_party/libusb/src/autogen.sh
@@ -1,19 +1,8 @@
#!/bin/sh
-# use libtoolize if available, otherwise look for glibtoolize (darwin)
-if (libtoolize --version) < /dev/null > /dev/null 2>&1; then
- LIBTOOLIZE=libtoolize
-elif (glibtoolize --version) < /dev/null > /dev/null 2>&1; then
- LIBTOOLIZE=glibtoolize
-else
- echo "libtoolize or glibtoolize was not found! Please install libtool."
- exit
-fi
+set -e
-$LIBTOOLIZE --copy --force || exit 1
-aclocal || exit 1
-autoheader || exit 1
-autoconf || exit 1
-automake -a -c || exit 1
-./configure --enable-maintainer-mode --enable-debug-log \
- --enable-examples-build $*
+./bootstrap.sh
+if test -z "$NOCONFIGURE"; then
+ exec ./configure --enable-maintainer-mode --enable-examples-build --enable-tests-build "$@"
+fi

Powered by Google App Engine
This is Rietveld 408576698